package jp.co.powerbeans.vbscore.model;

import java.util.Date;


/**
 * 選手(プレイヤー)管理モデル
 * @author amonden
 */
public class Player extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3628016770704205660L;
	/**
	 * 選手ID
	 */
	private int playerId;
	/**
	 * チームID
	 */
	private int teamId;
	/**
	 * 氏名
	 */
	private String playerName;
	/**
	 * 生年月日
	 */
	private Date birth;
	/**
	 * 身長
	 */
	private double tall;
	/**
	 * 体重
	 */
	private double weight;
	/**
	 * 普段の背番号
	 */
	private String stdNumber;
	/**
	 * 普段のポジション名
	 */
	private String posit;
//	private byte[] image;
	/**
	 * 電話番号
	 */
	private String callNum;
	/**
	 * Email
	 */
	private String email;
	
	/**
	 * @return id を戻します。
	 */
	public int getPlayerId() {
		return playerId;
	}
	/**
	 * @param id 設定する id。
	 */
	public void setPlayerId(int id) {
		this.playerId = id;
	}
	/**
	 * @return playerName を戻します。
	 */
	public String getPlayerName() {
		return playerName;
	}
	/**
	 * @param playerName 設定する playerName。
	 */
	public void setPlayerName(String playerName) {
		this.playerName = playerName;
	}
	/**
	 * @return position を戻します。
	 */
	public String getPosit() {
		return posit;
	}
	/**
	 * @param position 設定する position。
	 */
	public void setPosit(String position) {
		this.posit = position;
	}
	/**
	 * @return stdNumber を戻します。
	 */
	public String getStdNumber() {
		return stdNumber;
	}
	/**
	 * @param stdNumber 設定する stdNumber。
	 */
	public void setStdNumber(String stdNumber) {
		this.stdNumber = stdNumber;
	}
	/**
	 * @return birth を戻します。
	 */
	public Date getBirth() {
		return birth;
	}
	/**
	 * @param birth 設定する birth。
	 */
	public void setBirth(Date birth) {
		this.birth = birth;
	}
//	/**
//	 * @return image を戻します。
//	 */
//	public byte[] getImage() {
//		return image;
//	}
//	/**
//	 * @param image 設定する image。
//	 */
//	public void setImage(byte[] image) {
//		this.image = image;
//	}
	/**
	 * @return tall を戻します。
	 */
	public double getTall() {
		return tall;
	}
	/**
	 * @param tall 設定する tall。
	 */
	public void setTall(double tall) {
		this.tall = tall;
	}
	/**
	 * @return weight を戻します。
	 */
	public double getWeight() {
		return weight;
	}
	/**
	 * @param weight 設定する weight。
	 */
	public void setWeight(double weight) {
		this.weight = weight;
	}
	/**
	 * @return teamId を戻します。
	 */
	public int getTeamId() {
		return teamId;
	}
	/**
	 * @param teamId 設定する teamId。
	 */
	public void setTeamId(int teamId) {
		this.teamId = teamId;
	}
	public String getCallNum() {
		return callNum;
	}
	public void setCallNum(String callNum) {
		this.callNum = callNum;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
}
