package jp.co.powerbeans.vbscore.model;

/**
 * 試合別チーム分析結果
 * @author amonden
 *
 */
public class TeamParGameAnalyze extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1165688276816989330L;

	/**
	 * 試合ID
	 */
	private String gameId;
	/**
	 * 試合日
	 */
	private String gameDate;
	/**
	 * 大会名
	 */
	private String compeName;
	/**
	 * 試合名
	 */
	private String gameName;
	/**
	 * 対戦チーム名
	 */
	private String vsTeamName;
	/**
	 * セット数
	 */
	private String setNum;
	/**
	 * アクション名
	 */
	private String actionName;
	/**
	 * アクション結果名
	 */
	private String actionResultName;
	/**
	 * 回数
	 */
	private int times;
	/**
	 * 割合(%)
	 */
	private int per;
	/**
	 * @return actionName を戻します。
	 */
	public String getActionName() {
		return actionName;
	}
	/**
	 * @param actionName 設定する actionName。
	 */
	public void setActionName(String actionName) {
		this.actionName = actionName;
	}
	/**
	 * @return actionResultName を戻します。
	 */
	public String getActionResultName() {
		return actionResultName;
	}
	/**
	 * @param actionResultName 設定する actionResultName。
	 */
	public void setActionResultName(String actionResultName) {
		this.actionResultName = actionResultName;
	}
	/**
	 * @return compeName を戻します。
	 */
	public String getCompeName() {
		return compeName;
	}
	/**
	 * @param compeName 設定する compeName。
	 */
	public void setCompeName(String compeName) {
		this.compeName = compeName;
	}
	/**
	 * @return gameDate を戻します。
	 */
	public String getGameDate() {
		return gameDate;
	}
	/**
	 * @param gameDate 設定する gameDate。
	 */
	public void setGameDate(String gameDate) {
		this.gameDate = gameDate;
	}
	/**
	 * @return gameId を戻します。
	 */
	public String getGameId() {
		return gameId;
	}
	/**
	 * @param gameId 設定する gameId。
	 */
	public void setGameId(String gameId) {
		this.gameId = gameId;
	}
	/**
	 * @return gameName を戻します。
	 */
	public String getGameName() {
		return gameName;
	}
	/**
	 * @param gameName 設定する gameName。
	 */
	public void setGameName(String gameName) {
		this.gameName = gameName;
	}
	/**
	 * @return per を戻します。
	 */
	public int getPer() {
		return per;
	}
	/**
	 * @param per 設定する per。
	 */
	public void setPer(int per) {
		this.per = per;
	}
	/**
	 * @return setNum を戻します。
	 */
	public String getSetNum() {
		return setNum;
	}
	/**
	 * @param setNum 設定する setNum。
	 */
	public void setSetNum(String setNum) {
		this.setNum = setNum;
	}
	/**
	 * @return times を戻します。
	 */
	public int getTimes() {
		return times;
	}
	/**
	 * @param times 設定する times。
	 */
	public void setTimes(int times) {
		this.times = times;
	}
	/**
	 * @return vsTeamName を戻します。
	 */
	public String getVsTeamName() {
		return vsTeamName;
	}
	/**
	 * @param vsTeamName 設定する vsTeamName。
	 */
	public void setVsTeamName(String vsTeamName) {
		this.vsTeamName = vsTeamName;
	}
}
