package jp.co.powerbeans.vbscore.model;

/**
 * 1回の選手交代を保持するクラス
 * @author amonden
 *
 */
public class ChangePlayer extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 597165266235312428L;
	/**
	 * ID
	 */
	private int changePlayerId;
	/**
	 * セット
	 */
	private int gameSetId;
	/**
	 * 直前のPlayId
	 */
	private int lastPlayId;
	/**
	 * 交代したチーム
	 */
	private int teamId;
	/**
	 * OUT選手
	 */
	private int outPlayerId;
	/**
	 * IN選手
	 */
	private int inPlayerId;
	/**
	 * @return changePlayerId を戻します。
	 */
	public int getChangePlayerId() {
		return changePlayerId;
	}
	/**
	 * @param changePlayerId 設定する changePlayerId。
	 */
	public void setChangePlayerId(int changePlayerId) {
		this.changePlayerId = changePlayerId;
	}
	/**
	 * @return gameSetId を戻します。
	 */
	public int getGameSetId() {
		return gameSetId;
	}
	/**
	 * @param gameSetId 設定する gameSetId。
	 */
	public void setGameSetId(int gameSetId) {
		this.gameSetId = gameSetId;
	}
	/**
	 * @return inPlayerId を戻します。
	 */
	public int getInPlayerId() {
		return inPlayerId;
	}
	/**
	 * @param inPlayerId 設定する inPlayerId。
	 */
	public void setInPlayerId(int inPlayerId) {
		this.inPlayerId = inPlayerId;
	}
	/**
	 * @return lastPlayId を戻します。
	 */
	public int getLastPlayId() {
		return lastPlayId;
	}
	/**
	 * @param lastPlayId 設定する lastPlayId。
	 */
	public void setLastPlayId(int lastPlayId) {
		this.lastPlayId = lastPlayId;
	}
	/**
	 * @return outPlayerId を戻します。
	 */
	public int getOutPlayerId() {
		return outPlayerId;
	}
	/**
	 * @param outPlayerId 設定する outPlayerId。
	 */
	public void setOutPlayerId(int outPlayerId) {
		this.outPlayerId = outPlayerId;
	}
	/**
	 * @return teamId を戻します。
	 */
	public int getTeamId() {
		return teamId;
	}
	/**
	 * @param teamId 設定する teamId。
	 */
	public void setTeamId(int teamId) {
		this.teamId = teamId;
	}




}
