package jp.co.powerbeans.vbscore.model;




/**
 * プレーヤーランキング（１つの順位データ）
 * @author amonden
 *
 */
public class PlayerRanking extends VBSModel {


	private static final long serialVersionUID = -3091317117727449211L;

	/**
	 * 順位(1,2,...)
	 */
	private int ord;
	/**
	 * 選手ID
	 */
	private int playerId;
	/**
	 * 氏名
	 */
	private String name;
	/**
	 * ランキング種別ID
	 */
	private int rankingDefId;
	/**
	 * ランキング名
	 */
	private String rankingName;
	/**
	 * 全回数
	 */
	private int alltimes;
	/**
	 * 回数
	 */
	private int times;
	/**
	 * 表示用回数
	 */
	private String timesName;
	/**
	 * 割合(%)
	 */
	private String pser;
	
	/**
	 * @return name を戻します。
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name 設定する name。
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return ord を戻します。
	 */
	public int getOrd() {
		return ord;
	}
	/**
	 * @param ord 設定する ord。
	 */
	public void setOrd(int order) {
		this.ord = order;
	}
	/**
	 * @return playerId を戻します。
	 */
	public int getPlayerId() {
		return playerId;
	}
	/**
	 * @param playerId 設定する playerId。
	 */
	public void setPlayerId(int playerId) {
		this.playerId = playerId;
	}
	/**
	 * @return rankingDefId を戻します。
	 */
	public int getRankingDefId() {
		return rankingDefId;
	}
	/**
	 * @param rankingDefId 設定する rankingDefId。
	 */
	public void setRankingDefId(int rankingDefId) {
		this.rankingDefId = rankingDefId;
	}
	/**
	 * @return rankingName を戻します。
	 */
	public String getRankingName() {
		return rankingName;
	}
	/**
	 * @param rankingName 設定する rankingName。
	 */
	public void setRankingName(String rankingName) {
		this.rankingName = rankingName;
	}
	/**
	 * @return alltimes を戻します。
	 */
	public int getAlltimes() {
		return alltimes;
	}
	/**
	 * @param alltimes 設定する alltimes。
	 */
	public void setAlltimes(int alltimes) {
		this.alltimes = alltimes;
	}
	/**
	 * @return pser を戻します。
	 */
	public String getPser() {
		return pser;
	}
	/**
	 * @param pser 設定する pser。
	 */
	public void setPser(String pser) {
		this.pser = pser;
	}
	/**
	 * @return times を戻します。
	 */
	public int getTimes() {
		return times;
	}
	/**
	 * @param times 設定する times。
	 */
	public void setTimes(int times) {
		this.times = times;
	}
	/**
	 * @return timesName を戻します。
	 */
	public String getTimesName() {
		return timesName;
	}
	/**
	 * @param timesName 設定する timesName。
	 */
	public void setTimesName(String timesName) {
		this.timesName = timesName;
	}
	
}
