package jp.co.powerbeans.vbscore.swt.chart;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.Panel;

import jp.co.powerbeans.common.swt.PBComposite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.awt.SWT_AWT;
import org.eclipse.swt.widgets.Composite;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;

/**
 * 汎用的なChartComposit.
 * @author amonden
 *
 */
public class ChartComposit extends PBComposite {

	/**
	 * コンストラクタ
	 * @param comp 親composite
	 * @param dataset 
	 */
	public ChartComposit(Composite comp, JFreeChart chart) {
		super(comp, SWT.NO_FOCUS | SWT.EMBEDDED);

		// フレームを作成
		Frame graphFrame = SWT_AWT.new_Frame(comp);
		// パネルを作成
		Panel panel = new Panel(new BorderLayout());
		// チャートを作成
		final ChartPanel chartPanel = new ChartPanel(chart);
		chartPanel.setBackground(Color.BLACK);

		// パネルにチャートを追加
		panel.add(chartPanel);
		
		// フレームにパネルを追加
		graphFrame.setBackground(Color.GRAY);
		graphFrame.add(panel);
	}

}
